<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Filename: last_seen_users_panel.php
| Author: PHP-Fusion Addons Team
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."last_seen_users_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."last_seen_users_panel/locale/".$settings['locale'].".php";
} else {
}

openside("Ostatnio Widziani");
              $result = dbquery("SELECT 
			                              
                                        user_id, 
                                        user_name, 
                                        user_status,
                                        user_avatar,
                                        user_joined,										
                                        user_lastvisit 
                                        FROM ".DB_USERS." 
                                        WHERE user_lastvisit >'0' 
                                        AND user_status='0' 
                                        ORDER BY user_lastvisit 
                                        DESC LIMIT 0,5
                                        ");                       
                               
         		echo "<table   cellpadding='0' cellspacing='0' width='288px'  >";
          if (dbrows($result) != 0) {
    while ($data = dbarray($result)) {
      $lastseen = time() - $data['user_lastvisit'];
      $iW=sprintf("%2d",floor($lastseen/604800));
      $iD=sprintf("%2d",floor($lastseen/(60*60*24)));
      $iH=sprintf("%02d",floor((($lastseen%604800)%86400)/3600));
      $iM=sprintf("%02d",floor(((($lastseen%604800)%86400)%3600)/60));
      $iS=sprintf("%02d",floor((((($lastseen%604800)%86400)%3600)%60)));

      if ($lastseen < 300) $lastseen = "<img src=\'".INFUSIONS."last_seen_users_panel/images/online.png\' border=\'0\' alt=\'Online\' />";
      elseif ($lastseen < 600) $lastseen = "<img src=\'".INFUSIONS."last_seen_users_panel/images/10min.png\' border=\'0\' alt=\'10Min\' />";
      elseif ($lastseen < 1800) $lastseen = "<img src=\'".INFUSIONS."last_seen_users_panel/images/30min.png\' border=\'0\' alt=\'30Min\' />";
      elseif ($lastseen < 3600) $lastseen = "<img src=\'".INFUSIONS."last_seen_users_panel/images/60min.png\' border=\'0\' alt=\'60Min\' />";
      else $lastseen = "<img src=\'".INFUSIONS."last_seen_users_panel/images/offline.png\' border=\'0\' alt=\'Offline\' />"; 
		
		
		
		
        
		echo "<tr class='czcionka' width='288px' >\n";
		echo "<td   rowspan='6' width='50' height='50' >\n";
		echo" ".($data['user_avatar'] ? "<img src='".IMAGES."avatars/".$data['user_avatar']."' width='50' height='50'>" : "<img src='".IMAGES."/avatars/noavatar100.png' width='50' height='50'>")."";
		echo "</td >\n";
		echo "<td >\n";
		echo "Nick:\n";
		
		echo "<a href='profile.php?lookup=".$data['user_id']."' >\n";
		echo  trimlink($data['user_name'],13)."</span></a><br><span class=\'small\'>Status:</span><span class=\'small\' style=\'float: left;\'>".$lastseen."</span>\n";
			
          echo "   <br> <span class=\'small\'>Zarejestrowana/y:<br></small><span class=\'small\' style=\'float: right;\'>".date("d.m.Y - H:i", $data['user_joined'])."</span>\n";
echo "<td >\n";
 
echo "<tr >\n";
echo "<table >\n";
		 
	}
}

if (dbcount("(online_user)", DB_ONLINE, (iMEMBER ? "online_user='".$userdata['user_id']."'" : "online_user='0' AND online_ip='".USER_IP."'")) == 1) {
	$result = dbquery(
		"UPDATE ".DB_ONLINE." SET online_lastactive='".time()."', online_ip='".USER_IP."'
		WHERE ".(iMEMBER ? "online_user='".$userdata['user_id']."'" : "online_user='0' AND online_ip='".USER_IP."'"));
} else {
	$result = dbquery(
		"INSERT INTO ".DB_ONLINE." (online_user, online_ip, online_ip_type, online_lastactive) 
		VALUES ('".(iMEMBER ? $userdata['user_id'] : 0)."', '".USER_IP."', '".USER_IP_TYPE."', '".time()."')");
}
$result = dbquery("DELETE FROM ".DB_ONLINE." WHERE online_lastactive<".(time()-60)."");


$result = dbquery(
	"SELECT ton.online_user, tu.user_id, tu.user_name, tu.user_status FROM ".DB_ONLINE." ton
	LEFT JOIN ".DB_USERS." tu ON ton.online_user=tu.user_id"
);
$guests = 0; $members = array();
while ($data = dbarray($result)) {
	if ($data['online_user'] == "0") {
		$guests++;
	} else {
		$members[] = array($data['user_id'], $data['user_name'], $data['user_status']);
	}


}
echo "<br />\n".THEME_BULLET." ".$locale['global_014'].": ".number_format(dbcount("(user_id)", DB_USERS, "user_status<='1'"))."<br />\n";
if (iADMIN && checkrights("M") && $settings['admin_activation'] == "1") {
	echo THEME_BULLET." <a href='".ADMIN."members.php".$aidlink."&amp;status=2' class='side'>".$locale['global_015']."</a>";
	echo ": ".dbcount("(user_id)", DB_USERS, "user_status='2'")."<br />\n";
}
$data = dbarray(dbquery("SELECT user_id, user_name, user_status FROM ".DB_USERS." WHERE user_status='0' ORDER BY user_joined DESC LIMIT 0,1"));
echo THEME_BULLET." ".$locale['global_016'].": <span class='side'>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</span>\n";
echo "</div >\n";
closeside();
?>